<?php 
    $options[] = array(
        'name' => __('404 Options','HOSTING_SP'),
        'type' => 'heading',
		'std'  => 'warning-sign'
    );
        $options[] = array(
            'id' => 'error_img_back',
            'desc' => 'Image Background',
            'type' => 'upload'
        );
		 $options[] = array(
            'id' => 'title_404',
            'desc' => 'Title',
            'std' => '404 page',
            'type' => 'text'
        );
    $options[] = array(
        'name' => __('Error 404 Info','HOSTING_SP'),
        'type' => 'toggle'
    );
        $options[] = array(
            'id' => 'error_title',
            'desc' => 'Title',
            'std' => 'Text Title',
            'type' => 'text'
        );
        $options[] = array(
            'id' => 'error_detail',
            'desc' => 'Detail',
            'std' => 'Text Detail',
            'type' => 'textarea'
        );
        $options[] = array(
            'id' => 'error_desc',
            'desc' => 'Description',
            'std' => 'Text Description',
            'type' => 'textarea'
        );
        $options[] = array(
            'id' => 'error_btn',
            'desc' => 'Button Text',
            'std' => 'Text Button',
            'type' => 'text'
        );
		
		$options[] = array(
        'name' => __('Error 404 Info','HOSTING_SP'),
        'type' => 'toggle-close'
        );
		
        $options[] = array(
            'name' => __('Error Free Zone','HOSTING_SP'),
            'type' => 'toggle'
        );
            $options[] = array(
                'id' => 'show_error_free',
                'desc' => 'Show Style Configuration',
                'std' => 1,
                'type' => 'checkbox'
            ); 
            $options[] = array(
                'id' => 'error_num_free',
                'desc' => 'Number of Options',
                'std' => '4',
                'type' => 'text',
                'class' => 'mini'
            );
            if(of_get_option('error_num_free')?$cant=of_get_option('error_num_free'):$cant=4);
            for($i=1; $i<=$cant; $i++){
               $options[] = array(
                    'name' => 'Option '.$i,
                    'type' => 'toggle'
                ); 
                    $options[] = array(
                        'id' => 'error_opt_title'.$i,
                        'desc' => 'Title',
                        'std' => 'Text Title',
                        'type' => 'text',
                    );
                    foreach(font_awesome_icon('404'.$i) as $val){
                        $options[] = $val;
                    }
                    $options[] = array(
                        'id' => 'error_num_opt'.$i,
                        'desc' => 'Number of Vignette Options',
                        'std' => '4',
                        'type' => 'text',
                        'class' => 'mini'
                    );
                    if(of_get_option('error_num_opt'.$i)?$cantvig=of_get_option('error_num_opt'.$i):$cantvig=4);
                    for($j=1; $j<=$cantvig; $j++){
                       $options[] = array(
                            'name' => 'Vignette Option '.$j,
                            'type' => 'toggle'
                        ); 
                            $options[] = array(
                                'id' => 'error_opt_title'.$i.$j,
                                'desc' => 'Title',
                                'std' => 'Text Title',
                                'type' => 'text',
                            ); 
                            $options[] = array(
                                'id' => 'error_opt_link'.$i.$j,
                                'desc' => 'Link',
                                'std' => 'Text Link',
                                'type' => 'text',
                            );                               
                        $options[] = array(
                            'name' => 'Vignette Option '.$j,
                            'type' => 'toggle-close'
                        ); 
                    }
                $options[] = array(
                    'name' => 'Option '.$i,
                    'type' => 'toggle-close'
                ); 
            }
        $options[] = array(
            'name' => __('Error Zone','HOSTING_SP'),
            'type' => 'toggle-close'
        );
        $options[] = array(
            'name' => 'Error Contact Zone',
            'type' => 'toggle'
        );
            $options[] = array(
                'id' => 'show_error_cont',
                'desc' => 'Show Style Configuration of "Contact Zone" in Footer options',
                'std' => 1,
                'type' => 'checkbox'
            );
            $options[] = array(
                'id' => 'error_cont_title',
                'desc' => 'Title',
                'std' => 'Text Title',
                'type' => 'text',
            );
            $options[] = array(
                'id' => 'error_cont_img',
                'desc' => 'Image',
                'type' => 'upload',
            );                
            $options[] = array(
                'id' => 'error_contact_num',
                'desc' => 'Number of Citys',
                'std' => '3',
                'type' => 'text',
                'class' => 'mini'
            );
            if(of_get_option('error_contact_num')?$cant=of_get_option('error_contact_num'):$cant=3);
            for($i=1; $i<=$cant; $i++){
                $options[] = array(
                    'name' => 'City',
                    'type' => 'toggle'
                );
                    $options[] = array(
                        'id' => 'error_contact_city'.$i,
                        'desc' => 'City Name',
                        'std' => 'City Text',
                        'type' => 'text'
                    );                 
                    $options[] = array(
                        'id' => 'error_contact_city_num'.$i,
                        'desc' => 'City Contact Number',
                        'std' => 'Number Text',
                        'type' => 'text'
                    );                                    
                $options[] = array(
                    'name' => 'City',
                    'type' => 'toggle-close'
                );
            }
        $options[] = array(
            'name' => 'Error Contact Zone',
            'type' => 'toggle-close'
        );
  
?>